Get details of a visit

Get the visit details by the given encrypted visit identifier.

Curl example with OAuth authentication:

    root@test:~# curl -X GET "https://api.yelp.com/v3/visits/{VISIT_ID}" --header "Authorization: Bearer ${API_TOKEN}" --header "Content-Type: application/json"

Example 200 response:

{
    "visit_id": "Encoded visit id",
    "phone": "+19050000000",
    "parties_ahead": 0,
    "quoted_wait": 30,
    "business_id": "Yelp business id",
    "business_name": "Partner onboarded business",
    "is_on_my_way": true,
    "arrive_by_time": 1714578845,
    "expected_seating_time_min": 1714578845,
    "expected_seating_time_max": 1714580045,
    "party_size": 2,
    "seating_area_preference": "",
    "visit_start_time": 1714578245,
    "visit_state": "upcoming"
}

Note: In order to use this endpoint, the caller should be an onboarded Yelp Waitlist partner

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Encrypted Yelp visit identifer

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json